import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.io.IOException;
import java.net.Socket;
 
/**
 * Ein Sendeprozess fr den Chatclient.
 * 
 * @author Bernd Gramlich. 
 * @version 2014-12-10
 */
public class ClientSendeProzess implements Runnable
{
    private Socket meinSocket;
    
    /**
     * Konstruktor.
     * Verbinde Dich an den angegebenen Socket.
     */
    public ClientSendeProzess (Socket s)
    { 
        meinSocket = s;
    }
    
    /**
     * Ablaufplan.
     * Sende die Tastatureingabe an den Server, bis sie "quit" lautet.
     */
    public void run ()
    { 
        try 
        {
            /*
             * Datenstrme an den und vom Server und von der Tastatur.
             */
            PrintWriter    gibAnServer     = new PrintWriter (meinSocket.getOutputStream (), true);
            BufferedReader liesVonTastatur = new BufferedReader (new InputStreamReader (System.in));
            
            /*
             * Ein- und Ausgabezeile.
             */
            String tastaturZeile;

            /*
             * Chatte, solange die Benutzerin nicht "quit" eingibt.
             */
            do
            {
                tastaturZeile = liesVonTastatur.readLine (); 
                
                if (tastaturZeile != null)
                {
                    gibAnServer.println (tastaturZeile);
                }
            }
            while (!tastaturZeile.equals ("quit"));           
            
            /*
             * Schliee die Datenstrme.
             */
            liesVonTastatur.close ();
        }
        catch (IOException e) 
        {
            System.err.println ("Keine Verbindung beim Senden.");
        }
    }
}